# SelectionOverlayConfiguration class

Barcode Selection Overlay configuration

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, createToJson: true, explicitToJson: true)

## Constructors

SelectionOverlayConfiguration({bool? overlayEnabled, bool? automaticSelectionEnabled, BarcodeOverlayTextFormat? textFormat, Color? polygonColor, Color? textColor, Color? textContainerColor, Color? highlightedPolygonColor, Color? highlightedTextColor, Color? highlightedTextContainerColor})

## Properties

automaticSelectionEnabled ↔ bool?
  Whether the barcode is selected automatically when being detected or not.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
highlightedPolygonColor ↔ Color?
  The color of the polygon in the selection overlay, when highlighted.
  getter/setter pair
highlightedTextColor ↔ Color?
  The color of the text in the selection overlay, when highlighted.
  getter/setter pair
highlightedTextContainerColor ↔ Color?
  The color of the texts background in the selection overlay, when highlighted.
  getter/setter pair
overlayEnabled ↔ bool?
  Whether the barcode selection overlay is enabled or not.
  getter/setter pair
polygonColor ↔ Color?
  The color of the polygon in the selection overlay.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
textColor ↔ Color?
  The color of the text in the selection overlay.
  getter/setter pair
textContainerColor ↔ Color?
  The color of the texts background in the selection overlay.
  getter/setter pair
textFormat ↔ BarcodeOverlayTextFormat?
  Define the way of how to show barcode data with selection overlay.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited